about summary refs log tree commit diff homepage
path: root/.travis/install-tcmalloc.sh
diff options
context:
space:
mode:
authorAndrea Mattavelli <andreamattavelli@gmail.com>2017-03-06 14:45:35 +0000
committerAndrea Mattavelli <andreamattavelli@gmail.com>2017-03-24 07:47:42 +0000
commit3d6db3261b124bc1705eb647f8c8bea89d936af6 (patch)
tree3d3e83932b1d3d3cdb74d2450ed78859d85644ed /.travis/install-tcmalloc.sh
parent959a810cffa91f896021ae2148eced373f283670 (diff)
downloadklee-3d6db3261b124bc1705eb647f8c8bea89d936af6.tar.gz
[Travis-CI] Added support for macOS build
Diffstat (limited to '.travis/install-tcmalloc.sh')
-rwxr-xr-x.travis/install-tcmalloc.sh23
1 files changed, 15 insertions, 8 deletions
diff --git a/.travis/install-tcmalloc.sh b/.travis/install-tcmalloc.sh
index 5a86380b..a0d825e1 100755
--- a/.travis/install-tcmalloc.sh
+++ b/.travis/install-tcmalloc.sh
@@ -1,12 +1,19 @@
 #!/bin/bash -x
 set -ev
 
-if [ ${USE_TCMALLOC:-0} -eq 1 ] ; then
-	# Get tcmalloc release
-	wget https://github.com/gperftools/gperftools/releases/download/gperftools-2.4/gperftools-2.4.tar.gz
-	tar xfz gperftools-2.4.tar.gz
-	cd gperftools-2.4
-	./configure --disable-dependency-tracking --disable-cpu-profiler --disable-heap-checker --disable-debugalloc  --enable-minimal --prefix=/usr
-	make
-	sudo make install
+if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
+  if [ ${USE_TCMALLOC:-0} -eq 1 ] ; then
+    # Get tcmalloc release
+    wget https://github.com/gperftools/gperftools/releases/download/gperftools-2.4/gperftools-2.4.tar.gz
+    tar xfz gperftools-2.4.tar.gz
+    cd gperftools-2.4
+    ./configure --disable-dependency-tracking --disable-cpu-profiler --disable-heap-checker --disable-debugalloc  --enable-minimal --prefix=/usr
+    make
+    sudo make install
+  fi
+else # OSX
+  if [ ${USE_TCMALLOC:-0} -eq 1 ] ; then
+    echo "Error: Requested to install TCMalloc on macOS, which is not supported"
+    exit 1
+  fi
 fi